Subject: Re: [PATCH] skge: fiber support

From: Michael Stone <[email-masked]>
Date: Tue, 26 Sep 2006 11:45:01 -0400

On Thu, Sep 21, 2006 at 03:39:39PM -0700, Stephen Hemminger wrote:
>Add support for older fiber versions of the SysKonnect board. These chipsets
>use an internal PHY so they require special handling. The older sk98lin
>driver already supported these

The patch seems to work with a single port card SX card. I'll test with 
LX & dual port shortly. One thing that I haven't got working is forcing 
the card up if autonegotiation isn't possible. (It used to be a module 
parameter like AutoNeg=Off for sk98lin; I've tried (unsuccessfully) to 
use ethtool to turn off autoneg, but I'll try harder.)

Mike Stone